package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonTask;
import com.ruoyi.system.domain.task.TkCommonTaskExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TkCommonTaskMapper {
    long countByExample(TkCommonTaskExample example);

    int deleteByExample(TkCommonTaskExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonTask record);

    int insertSelective(TkCommonTask record);

    List<TkCommonTask> selectByExample(TkCommonTaskExample example);

    TkCommonTask selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonTask record, @Param("example") TkCommonTaskExample example);

    int updateByExample(@Param("record") TkCommonTask record, @Param("example") TkCommonTaskExample example);

    int updateByPrimaryKeySelective(TkCommonTask record);

    int updateByPrimaryKey(TkCommonTask record);
}